# IniFileTokenReader

Extends \TokenReader

Class that allows reading tokens from INI files.

author | Manuel Holtgewe
version | $Id: 1787bbe5c2ac3fc35faf21652eed36899bff61b6 $
package | phing.filters.util

### Methods

## Constructor.

    __construct(\Project $project)

inherited

### Arguments

#### $project

`\Project`

Reference to the project the TokenReader is used in.

## Utility function for logging.

    log( $level,  $msg) : void

inherited

### Arguments

#### $level

``

#### $msg

``

## Parse & process the ini file

    processFile()

## Process an individual section

    processSection(array $section)

### Arguments

#### $section

`array`

## Reads the next token from the Reader.

    readToken() : string

inherited abstract

throws | On error

### Response

`string`

## setFile

    setFile(string|\PhingFile $file)

throws |

### Arguments

#### $file

`string|\PhingFile`

## setSection

    setSection( $str)

### Arguments

#### $str

``

### Properties

## Holds the path to the INI file that is to be read.

    file : object

var | Reference to a PhingFile Object representing the path to the INI file.

### Type(s)

`object`

## Sets the section to load from the INI file. if omitted, all sections are loaded.

    section : string

var | Sets the section to load from the INI file. if omitted, all sections are loaded.

### Type(s)

`string`

## tokens

    tokens : array

var |

### Type(s)

`array`

## Reference to the Project the TokenReader is used in.

    project : \Project

inherited

var |

### Type(s)

`\Project`